Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_w2_1.cfg	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_1.cfg	(revision 117)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1" ?>
 
-<core name="Instance_scalar_2">
+<core name="Instance_x1_w2_1">
 
   <thread id="0">             
@@ -17,4 +17,5 @@
   <decod_bloc id="0">                                       
     <parameter name="size_decod_queue"                      value="4" />
+    <parameter name="decod_queue_scheme"                    value="0" />
     <parameter name="nb_inst_decod"                         value="2" />
     <parameter name="nb_context_select"                     value="1" />
@@ -30,28 +31,16 @@
     <parameter name="rename_select_nb_front_end_select"     value="1" />
     <parameter name="nb_general_register"                   value="64"/>
-    <parameter name="nb_special_register"                   value="4" />
+    <parameter name="nb_special_register"                   value="16"/>
     <parameter name="nb_reg_free"                           value="1" />
-    <parameter name="nb_rename_unit_bank"                   value="1" />
+    <parameter name="nb_rename_unit_bank"                   value="2" />
   </rename_bloc>                                            
                                                             
-  <read_bloc id="0">                                        
+  <read_bloc id="0,1,2">                                        
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
-    <parameter name="nb_inst_retire_reservation_station"    value="2" />
+    <parameter name="nb_inst_retire_reservation_station"    value="1" />
   </read_bloc>                                              
-
-  <read_bloc id="1">                                        
-    <parameter name="size_read_queue"                       value="4" />
-    <parameter name="size_reservation_station"              value="4" />
-    <parameter name="nb_inst_retire_reservation_station"    value="2" />
-  </read_bloc>                                              
-                                                            
-  <write_bloc id="0">                                       
-    <parameter name="size_write_queue"                      value="4" />
-    <parameter name="size_execute_queue"                    value="4" />
-    <parameter name="nb_bypass_write"                       value="0" />
-  </write_bloc>                                             
-
-  <write_bloc id="1">                                       
+                                                            
+  <write_bloc id="0,1,2">                                       
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -72,11 +61,32 @@
   <functionnal_unit id="0">
     <parameter name="nb_inst_functionnal_unit" value="1" />
+
+    <timing type="0"  latence="1" delay="1" />
+    <timing type="1"  latence="1" delay="1" />
+    <timing type="2"  latence="1" delay="1" />
+    <timing type="3"  latence="1" delay="1" />
+    <timing type="4"  latence="1" delay="1" />
+    <timing type="6"  latence="1" delay="1" />
+    <timing type="7"  latence="1" delay="1" />
+
+    <timing type="10" latence="1" delay="1" />
   </functionnal_unit>
 
   <functionnal_unit id="1">
     <parameter name="nb_inst_functionnal_unit" value="1" />
+
+    <timing type="0"  latence="1" delay="1" />
+    <timing type="1"  latence="1" delay="1" />
+    <timing type="2"  latence="1" delay="1" />
+    <timing type="3"  latence="1" delay="1" />
+    <timing type="4"  latence="1" delay="1" />
+    <timing type="6"  latence="1" delay="1" />
+    <timing type="7"  latence="1" delay="1" />
+    <timing type="8"  latence="1" delay="1" />
+    <timing type="10" latence="1" delay="1" />
   </functionnal_unit>
 
   <front_end id="0">        
+    <parameter name="nb_context"                            value="1" />
     <parameter name="nb_decod_unit"                         value="1" />
     <parameter name="nb_inst_branch_predict"                value="1" />
@@ -87,5 +97,5 @@
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
-    <parameter name="dir_predictor_scheme"                  value="1" />
+    <parameter name="dir_predictor_scheme"                  value="2" />
   </front_end>
 
@@ -104,4 +114,5 @@
     <parameter name="size_issue_queue"                      value="8" />
     <parameter name="nb_issue_queue_bank"                   value="2" />
+    <parameter name="issue_queue_scheme"                    value="0" />
     <parameter name="issue_priority"                        value="1" />
     <parameter name="issue_load_balancing"                  value="1" />
@@ -112,12 +123,12 @@
 
   <execute_loop id="0">
-    <parameter name="nb_read_unit"                          value="1" />
-    <parameter name="nb_write_unit"                         value="1" />
+    <parameter name="nb_read_unit"                          value="3" />
+    <parameter name="nb_write_unit"                         value="3" />
     <parameter name="nb_gpr_bank"                           value="2" />
-    <parameter name="nb_gpr_port_read_by_bank"              value="1" />
-    <parameter name="nb_gpr_port_write_by_bank"             value="1" />
+    <parameter name="nb_gpr_port_read_by_bank"              value="2" />
+    <parameter name="nb_gpr_port_write_by_bank"             value="2" />
     <parameter name="nb_spr_bank"                           value="2" />
-    <parameter name="nb_spr_port_read_by_bank"              value="1" />
-    <parameter name="nb_spr_port_write_by_bank"             value="1" />
+    <parameter name="nb_spr_port_read_by_bank"              value="2" />
+    <parameter name="nb_spr_port_write_by_bank"             value="2" />
     <parameter name="execution_unit_to_write_unit_priority" value="1" />
     <parameter name="read_unit_to_execution_unit_priority"  value="1" />
@@ -148,10 +159,15 @@
   <parameter name="dcache_port_load_balancing"              value="1" />
 
+  <link name="link_context_with_thread"                src="0"     dest="0.0" />
   <link name="link_decod_unit_with_decod_bloc"         src="0"     dest="0.0" />
   <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
+
   <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
   <link name="link_read_unit_with_read_bloc"           src="1"     dest="0.1" />
+  <link name="link_read_unit_with_read_bloc"           src="2"     dest="0.2" />
   <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
   <link name="link_write_unit_with_write_bloc"         src="1"     dest="0.1" />
+  <link name="link_write_unit_with_write_bloc"         src="2"     dest="0.2" />
+
   <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
   <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
@@ -162,17 +178,33 @@
 
   <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="0"   />
+  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
+  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
+
+  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
+
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.1"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="1"   />
+
+  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
   <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.1"   dest="1"   />
+
   <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="0.1"   dest="1"   />
 
 </core>
